using Adam.Web.Extensions.UI.Controls;
using System.Web.UI;

namespace Adam.Fadel.Web.MosaicDisplays
{
    /// <summary>
    ///     Provides view state to the UI of this action.
    /// </summary>
    public class RecordMosaicDisplayItem : Adam.Web.Extensions.UI.Controls.Displays.RecordMosaicDisplayItem
    {
        public RecordMosaicDisplayItem(RecordMosaicDisplay owner)
            : base(owner)
        {
        }

        protected override Control CreateWrapper()
        {
            Control control = base.CreateWrapper();
            control.EnableViewState = true;
            control.ViewStateMode = ViewStateMode.Disabled;
            return control;
        }

        protected override ActionContextMenu CreateActionsContextMenu()
        {
            ActionContextMenu menu = base.CreateActionsContextMenu();
            menu.EnableViewState = true;
            menu.ViewStateMode = ViewStateMode.Disabled;
            return menu;
        }
    }
}